<form action="/rnode/<%= host %>/<%= port %>/icarusauth" method="post" target="_blank">
  <input type="hidden" name="password" value="<%= password %>">
  <button class="btn btn-primary" type="submit">
    <i class="fa fa-eye"></i> Connect to Icarus
  </button>
</form>

